=== debian/changelog ===
python-packageurl (0.16.0-2) unstable; urgency=medium

  * Team upload.
  * No change source-only upload.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Mar 2025 11:04:42 -0500

python-packageurl (0.16.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1098424)

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sat, 01 Mar 2025 15:26:16 -0500
