## python-packageurl 0.17.5

=== Makefile ===
--- 
+++ 
@@ -66,7 +66,6 @@
 
 test:
 	@echo "-> Run the test suite"
-	${MANAGE} test --noinput
 	bin/py.test tests
 
 .PHONY: virtualenv conf dev clean isort black mypy valid test
