=== debian/changelog ===
python-packageurl (0.17.5-1) unstable; urgency=medium

  * Add d/gbp.conf
  * New upstream version 0.17.5

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Wed, 10 Sep 2025 19:23:47 -0300
