=== debian/control ===
Source: python-packageurl
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Santiago Ruano Rincón <santiagorr@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/package-url/packageurl-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-packageurl
Vcs-Git: https://salsa.debian.org/python-team/packages/python-packageurl.git

Package: python3-packageurl
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Python library to parse and build "purl" aka. Package URLs
 A purl or package URL is an attempt to standardize existing approaches to
 reliably identify and locate software packages.
 .
 A purl is a URL string used to identify and locate a software package in a
 mostly universal and uniform way across programming languages, package
 managers, packaging conventions, tools, APIs and databases.
 .
 Such a package URL is useful to reliably reference the same software package
 using a simple and expressive syntax and conventions based on familiar URLs.
 .
 See https://github.com/package-url/purl-spec for details.
 .
 This package installs the library for Python 3.
