=== debian/changelog ===
python-packageurl (0.17.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.17.6
  * Disable the test-build-any job in Salsa CI

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Fri, 12 Dec 2025 17:49:39 -0300
